<div class="page page-role">
  <div class="page-heading clearfix">
    <div class="btn-group form-inline">
      <a *ngIf="userPermission['CREATE-ROLE']" (click)="openPopUpCreate()" class="btn btn-sm btn-success btn-icon-inline waves-effect  right"><i
          class="icon-plus"></i>Tạo Mới Vai Trò</a>
    </div>
  </div>
  <div class="panel col-md-4 panel-default panel-hovered panel-stacked mb20">
    <div class="panel-heading clearfix">
      Nhóm (Tổng số/Cấp)
    </div>
    <div class="panel-body list-widget">
      <ul class="list-unstyled list-has-tool list-role  clearfix">
        <li [routerLinkActive]="['active']" *ngFor="let item of RoleList" (click)="filterPermissionByRole(item)">
          <i class="ion ion-settings"></i>
          <span *ngIf="item.role_level" style="margin-right:5px;color: green">{{item.role_level}} )</span>
          <span>{{ item.name }}</span>
          <span class="badge badge-xs badge-info right">{{
              item?.permissions?.length ? item?.permissions?.length : '0'
            }}/{{ ListPermission?.length }}</span>
          <div class="group-setting-list">
            <span *ngIf="userPermission['UPDATE-ROLE']" (click)="openPopUpEdit(item)" class="button-ion button-ion-small mr5 glyphicon glyphicon-edit"
              title="Sửa" style="color: green"></span>
            <span *ngIf="userPermission['DELETE-ROLE']" (click)="delete(item.id)" class="button-ion button-ion-small  glyphicon glyphicon-trash"
              title="Xóa" style="color: red"></span>
          </div>
        </li>
      </ul>
    </div>
  </div>
  <permission (permissionData)="countPermission($event); getList()" [roleParentData]="selectedRole" class="col-md-8">
  </permission>
</div>

<div class="list-bottom">
  <div class="pull-right">
    <wms-pagination [perPage]="perPage" (pageChange)="pageChange($event)" [pagingData]="pagination">
    </wms-pagination>
  </div>
</div>